<?php
	require_once( $GLOBALS["site_root"]."/includes/pages/DefaultFrontend.inc.php" );
	require_once( $GLOBALS["site_root"]."/includes/widgets/MemberInfoPanel.inc.php" );

	class MemberPage extends DefaultFrontend {
		protected $oMemberInfoPanel;

		public function __construct( $id = "MemberPage" , $parent = null , $pagetype = "member" ) {
			parent::__construct( $id , $parent , $pagetype );
			$this->oMemberInfoPanel = new MemberInfoPanel( "content_widget" , $this );
		}

		public function render() {
			if (isset( $this->aG["username"] )) $this->oMemberInfoPanel->setUsername( $this->aG["username"] );
			if (isset( $this->aG["aliasname"] )) $this->oMemberInfoPanel->setAliasname( $this->aG["aliasname"] );
			return parent::render();
		}
	}

?>
